create table oa_attendance_record
(
    record_id      bigint auto_increment comment '主键id'
        primary key,
    relation_month date                                    null comment '涉及月份',
    calc_time      date                                    null comment '生成时间',
    nick_name      varchar(40)                             null comment '统计者姓名',
    trips          decimal(18, 2)                          null comment '出差天数',
    not_num        decimal(18, 2)                          null comment '请假次数',
    works          decimal(18, 2)                          null comment '出勤天数',
    project_ids    varchar(500)                            null comment '涉及项目',
    over_num       decimal(18, 2)                          null comment '加班时长',
    create_time    datetime      default current_timestamp not null comment '创建时间',
    create_by      varchar(50)   default 'system'          null comment '创建人',
    update_time    datetime      default current_timestamp not null on update current_timestamp comment '更新时间',
    update_by      varchar(50)                             null comment '更新人',
    del_flag       int           default 0                 not null comment '删除标志',
    remark         varchar(1024) default '无'              null comment '备注'
);
